## org.apache.myfaces.renderkit.html.ext
Class HtmlButtonRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlButtonRendererBase
                  org.apache.myfaces.renderkit.html.ext.HtmlButtonRenderer

public class HtmlButtonRenderer
extends HtmlButtonRendererBase

Version:
  $Revision: 279369 $ $Date: 2005-09-07 12:16:26 -0400 (Wed, 07 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: baranda $)

Constructor Summary
`HtmlButtonRenderer()`

Method Summary
`protected boolean` `isDisabled(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlButtonRendererBase
`buildOnClick, decode, encodeEnd`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlButtonRenderer

    public HtmlButtonRenderer()

Method Detail

### isDisabled

    protected boolean isDisabled(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent uiComponent)

  Overrides:
    `isDisabled` in class `HtmlButtonRendererBase`